Summary: PCMan File Manager
Name: pcmanfm2
Version: 0.9.7
Release: alt2.M51.2
License: GPL
Group: File tools
Url: http://pcmanfm.sourceforge.net/
Packager: Nick S. Grechukh <gns@altlinux.ru>

Source: %name-%version.tar.gz

Patch1: pcmanfm2-gtk2.16.patch
Patch2: pcmanfm2-alt-fix-pseudotransparency.patch
Patch3: pcmanfm2-alt-fix-rmb-selection.patch

Conflicts: pcmanfm < 0.9

# Automatically added by buildreq on Sun Nov 12 2006
BuildRequires: libdbus-glib-devel libgtk+2-devel libhal-devel libstartup-notification-devel libgamin-devel intltool libmenu-cache-devel

BuildRequires: libfm-devel >= 0.1.11

%description
Features:
    * Extremly fast and lightweight
    * Can be started in one second on normal machine
    * Tabbed browsing (Similiar to Firefox)
    * Drag & Drop support
    * Files can be dragged among tabs
    * Load large directories in reasonable time
    * File association support (Default application)
    * Basic thumbnail support
    * Bookmarks support
    * Handles non-UTF-8 encoded filenames correctly
    * Provide icon view and detailed list view
    * Standard compliant (Follows FreeDesktop.org)
    * Clean and user-friendly interface (GTK+ 2)

%prep
%setup
%patch1 -p2
%patch2 -p1
%patch3 -p2

%build
#ln -s %_bindir/libtool
%autoreconf
%configure \
    --disable-inotify \
    --enable-hal \
    --enable-largefile

%make

%install
make DESTDIR=%buildroot install
%find_lang pcmanfm
cd %buildroot%_bindir
ln -s pcmanfm pcmanfm2

%files -f pcmanfm.lang
%_bindir/*
%_desktopdir/*.desktop
%_datadir/pcmanfm

%changelog
* Thu Dec 09 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.7-alt2.M51.2
- backported fix-rmb-selection

* Fri Jul 21 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.7-alt2.M51.1
- backported

* Wed Jul 21 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.7-alt3
- new git snapshot from upstream

* Fri Jun 11 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.7-alt2
- thanks to Alexey Borisenkov fixed #23445

* Thu Jun 10 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.7-alt0.M51.2
- build fixed

* Wed Jun 09 2010 Radik Usupov <radik@altlinux.org> 0.9.7-alt0.M51.1
- build for branch 5.1

* Sun May 30 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.7-alt1
- new version

* Tue May 04 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.5-alt0.M51.1
- backported 

* Tue May 04 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.5-alt1
- new upstream version (closes: #23425)

* Fri Apr 30 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.4-alt0.M51.2
- build fixed

* Fri Apr 30 2010 Radik Usupov <radik@altlinux.org> 0.9.4-alt0.M51.1
- build new version on branch 5.1

* Thu Apr 29 2010 Radik Usupov <radik@altlinux.org> 0.9.3-alt0.M51.1
- build on branch 5.1

* Mon Apr 26 2010 Mykola Grechukh <gns@altlinux.ru> 0.9.4-alt1
- new version

* Fri Mar 12 2010 Nick S. Grechukh <gns@altlinux.ru> 0.9.3-alt1
- new version based on libfm. Package name changed to pcmanfm2
